import { createApp,toRaw } from 'vue'
import './style.css'
import App from './App.vue'
import router from './router'

import { createPinia } from 'pinia'
import piniaPluginPersistedstate from 'pinia-plugin-persistedstate'

import ElementPlus from 'element-plus'
import zhCn from 'element-plus/es/locale/lang/zh-cn'
import 'element-plus/dist/index.css'
import 'virtual:windi.css'
import Echarts from "vue-echarts"
import * as echarts from "echarts"
// import * as DataV from '@dataview/datav-vue3';
import EDataV from 'e-datav-vue3'
const piniaPlugin = (context) => {
    const { store } = context
    store.$subscribe(() => {})
}

Date.prototype.Format = function (fmt) {
	var o = {
	"M+": this.getMonth() + 1, //月份
	"d+": this.getDate(), //日
	"H+": this.getHours(), //小时
	"m+": this.getMinutes(), //分
	"s+": this.getSeconds(), //秒
	"q+": Math.floor((this.getMonth() + 3) / 3), //季度
	"S": this.getMilliseconds() //毫秒
	};
	if (/(y+)/.test(fmt)) fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
	for (var k in o)
	if (new RegExp("(" + k + ")").test(fmt)) fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
	return fmt;
}

const store = createPinia()
store.use(piniaPluginPersistedstate)
store.use(piniaPlugin)

const app = createApp(App)
app.use(router).use(store).use(ElementPlus, {locale: zhCn}).use(EDataV)
app.component("v-chart", Echarts)
app.config.globalProperties.$echarts = echarts
app.mount('#app')
// .use(DataV, { classNamePrefix: 'dv-' })
// if(window.screen.width < 1920) {
//     let s = window.screen.width / 1920
//     document.body.style.zoom = s
// }
