import { stripos } from '@/utils'
const freights = [
    '未知',
    'EMS邮政快递',
    '申通',
    '天天',
    '圆通',
    '顺丰快运',
    '韵达','中通',
    '龙邦物流',
    '宅急送',
    '全一快递',
    '汇通速递',
    '民航快递',
    '中铁快运',
    'fedex',
    'DHL',
    '德邦物流',
    '快捷速递',
    '邮政国内',
    '国通快递',
    '百世物流',
    '远成物流',
    '优速物流',
    '一米滴答'
]
export const freightName = (id) => freights[parseInt(id)] ? freights[parseInt(id)] : '未知'
export const payments = [
    '货到付款',
    '预存款',
    '网银在线',
    '中国银联',
    '中国银联手机支付',
    '中国银联B2B企业支付',
    '腾讯财付通',
    '快钱',
    '快钱手机支付',
    '支付宝即时到帐',
    '支付宝手机支付',
    '贝宝',
    '微信公众号支付',
    '微信扫码支付',
    '微信APP支付',
    '微信H5支付',
    '微信小程序支付',
    '偶可贝'
]
export const paymentName = (id) => payments[parseInt(id)] ? payments[parseInt(id)] : '未知'
export const goodsSendStatus = (row) => {
    let isDelivery = false;
    let is_send = row.is_send
    if(row['type']) {
	    isDelivery = row['type'] == 'default' ? true : false
	} else if(row['delivery_id']) {
	    isDelivery = true
	} else if(stripos(row['goods_array'],'~')) {
	    isDelivery = false
	} else if(row['goods_weight']) {
	    isDelivery = true
	}
    let data = isDelivery ? ['未发货','已发货','已退货'] : ['待付款','已付款','已退款']
	return data[is_send] ? data[is_send] : ''
}
const orderTypes = {'assemble': '拼团','groupon': '团购','time': '限时抢购','costpoint': '积分兑换','default': '普通'}
export const orderTypeName = (type) => orderTypes[type] ? orderTypes[type] : '其他'
export const payStatusText = (row) => {
    if(row.status == '6') {
        return '全部退款';
    }
    if(row.status == '7') {
        return '部分退款';
    }
    if(row.pay_status == 0) {
        return '未付款';
    }
    if(row.pay_status == 1) {
        return '已付款';
    }
    return '未知';
}
const orderStatusTexts = ['未知','等待发货','等待付款','已发货','等待发货','已取消','已完成','已退款','部分发货','部分退款','部分退款','已发货','申请退款','待自提','待成团']
export const orderStatusText = (row) => {
    let status = 0
    if(row.status == 1) {//选择货到付款
        if(row['pay_type'] == 0) {
            if(row['distribution_status'] == 0) {
                status = 1
            } else if(row['distribution_status'] == 1) {
                status = 11
            } else if(row['distribution_status'] == 2) {
                status = 8
            }
        } else {//选择在线支付
            status = 2
        }
    } else if(row['status'] == 2) {//2,已经付款
        status = 0
        /*
        $refundDB  = new IModel('refundment_doc');
        $refundRow = $refundDB->getObj('order_no = "'.row['order_no'].'" and if_del = 0 and pay_status not in (1,2)');
        if($refundRow) {
            status = 12;
        }
        if(row['type'] == 'assemble') {
            $activeDB = new IModel('assemble_active');
            $activeRow= $activeDB->getObj('order_no = "'.row['order_no'].'"');
            if($activeRow)
            {
                $commanderDB = new IModel('assemble_commander');
                $commanderRow= $commanderDB->getObj($activeRow['assemble_commander_id']);
                if($commanderRow['is_finish'] == 0)
                {
                    status = 14;
                }
            }
        } if(row['distribution_status'] == 0) {
            status = 4;
        } else if(row['distribution_status'] == 1) {//如果是自提方式
            if(isset(row['takeself']) && row['takeself'] > 0) {
                status = 13;
            } else {
                status = 3;
            }
        } else if(row['distribution_status'] == 2) {
            status = 8;
        }*/
    } else if(row['status'] == 3 || row['status'] == 4) {//3,取消或者作废订单
        status = 5;
    } else if(row['status'] == 5) {//4,完成订单
        status = 6;
    } else if(row['status'] == 6) {//5,退款
        status = 7;
    } else if(row['status'] == 7) {//6,部分退款
        if(row['distribution_status'] == 1) {//发货
            status = 10;
        } else {//未发货
            status = 9;
        }
    }
    return orderStatusTexts[status] ? orderStatusTexts[status] : '未知'
}
