import { ref } from 'vue'
import { defineStore } from 'pinia'
import { selfInfo } from '@/api'

/*
export const pinia = createPinia()
export const useUserStore = defineStore('USER',{
    state: () => {
        return {
            id: 0,
            name: '',
            avatar: '',
            role_id: 1,
            role: '',
        }
    },
    actions: {
        async loadInfo() {
            let {data:res} = await selfInfo()
            let user = res.data.userinfo
            this.$patch({id:user.id,name:user.admin_name,role_id:user.role_id,role:user.role_name})
            setData('userInfo',toRaw(this.$state))
        },
    },
    getters: {},
    persist: true
})

export const useOrderlistStore = defineStore('ORDERLIST',{
    state: () => {
        return {
            currentPage: 1,
            pageSize: 20,
            username: '',
            pay_type: 0,
            order_type: 0,
        }
    },
    actions: {},
    getters: {}
})

export const usePreorderlistStore = defineStore('PREORDERLIST',{
    state: () => {
        return {
            currentPage: 1,
            pageSize: 20,
            username: '',
            order_type: 0,
        }
    },
    actions: {},
    getters: {}
})
*/
export const useUserStore = defineStore('USER',() => {
    const id = ref (0)
    const name = ref('')
    const avatar = ref('')
    const role_id = ref(1)
    const role = ref('')
    const loadInfo = async () => {
        let {data:res} = await selfInfo()
        let user = res.data.userinfo
        id.value = user.id
        name.value = user.nickname ? user.nickname : user.admin_name
        avatar.value = user.avatar
        role.value = user.role_name
        role_id.value = user.role_id
    }
    const remove = () => {
        id.value = 0
        name.value = ''
        avatar.value = ''
        role_id.value = 1
        role.value = ''
    }
    return {
        id,
        name,
        avatar,
        role_id,
        role,
        loadInfo,
        remove
    }
},{
    persist:true
})

export const useOrderlistStore = defineStore('ORDERLIST',() => {
    const currentPage = ref(1)
    const pageSize = ref(20)
    const username = ref('')
    const pay_type = ref(0)
    const order_type = ref(0)
    return {
        currentPage,
        pageSize,
        username,
        pay_type,
        order_type
    }
})

export const usePreorderlistStore = defineStore('PREORDERLIST',() => {
    const currentPage = ref(1)
    const pageSize = ref(20)
    const username = ref('')
    const order_type = ref(0)
    return {
        currentPage,
        pageSize,
        username,
        order_type
    }
})

export const useHomeStore = defineStore('homePage',{
    state: () => ({
        currentPage: 1,
        pageSize: 20,
        keys: {
            customer: [],
            seller: [],
            operator: [],
            date: [],
            status: 0
        }
    }),
    actions: {
        reset() {
            this.currentPage = 1
            this.pageSize = 20
            this.keys = {
                code: '',
                customer: [],
                seller: [],
                operator: [],
                date: [],
                status: 0
            }
        },
    },
    getters: {}
})
