import { ref } from 'vue'
import { defineStore } from 'pinia'
import { selfInfo } from '@/api'

export const useUserStore = defineStore('USER',() => {
    const id = ref (0)
    const name = ref('')
    const avatar = ref('')
    const role_id = ref(1)
    const role = ref('')
    const loadInfo = async () => {
        let {data:res} = await selfInfo()
        let user = res.data.userinfo
        id.value = user.id
        name.value = user.admin_name
        avatar.value = user.avatar
        role.value = user.role_name
        role_id.value = user.role_id
    }
    return {
        id,
        name,
        avatar,
        role_id,
        role,
        loadInfo
    }
},{
    persist:true
})
