import { HomeFilled,Tools,Avatar,Memo,Setting,Fold,InfoFilled,View,Link,Picture,Shop,Headset,Menu } from '@element-plus/icons-vue'
import CryptoJS from 'crypto-js'

export const getToken = () => localStorage.getItem('token')
export const setToken = (token) => localStorage.setItem('token',token)

export const getData = (key) => localStorage.getItem(key) ? JSON.parse(localStorage.getItem(key)) : {}
export const setData = (key,value) => localStorage.setItem(key,JSON.stringify(value))

export const removeToken = () => localStorage.removeItem('token')
export const stripos = (fHaystack,fNeedle,fOffset=0) => {
    const haystack = (fHaystack + '').toLowerCase()
    const needle = (fNeedle + '').toLowerCase()
    let index = 0
    if ((index = haystack.indexOf(needle, fOffset)) !== -1) {
      return index
    }
    return false
}

export const menuData = [
  {name: '订单管理系统',url: '/start',icon: HomeFilled},
  {name: '询盘订单',url: '/pre-order/list',icon: Fold},
  {name: '询盘统计分析',url: '/order-info',icon: View},
  {name: '询盘商品明细',url: '/order-list',icon: Menu},
  {name: '大件跟踪',url: '/trace',icon: InfoFilled},
  // {name: '系统设定',url: '/setup',icon: Tools,
  //     child:[
  //         {name: '用户信息',url: '/setup/user',icon: Avatar},
  //         {name: '操作记录',url: '/setup/log',icon: Memo},
  //         {name: '关于系统',url: '/setup/info',icon: Setting},
  //     ]
  // },
  {name: '快速导航',url: '/',icon: Link,
      child:[
          {name: '机服云',url: 'https://www.jifuyun.cn',icon: HomeFilled,href: true},
          {name: '可视检索',url: 'https://epc.jifuyun.cn',icon: Picture,href: true},
          {name: '机联工作组',url: 'https://adm.jifuyun.cn',icon: Headset,href: true},
          {name: '机联商户',url: 'https://sh.jifuyun.cn',icon: Shop,href: true},
          {name: '旧版后台',url: 'https://www.jifuyun.cn/admin/index',icon: Tools,href: true},
      ]
  },
]

export const md5 = str => CryptoJS.MD5(str).toString()
